Page 5 of 48 FirstFirst ... 3456715 ... LastLast
Results 41 to 50 of 477

Thread: [Howto] Successfully install the svn MPlayer under Hardy Heron

  1. #41
    Join Date
    Dec 2006
    Beans
    101
    Distro
    Kubuntu 8.10 Intrepid Ibex

    Re: [Howto] Successfully install the svn mplayer + gmplayer + all the codecs.

    Quote Originally Posted by andrew.46 View Post
    Hi,

    Glad you resolved your issue:



    To uninstall the mplayer program go to the source directory of mplayer and type:

    Code:
    $ sudo make uninstall
    and the program is gone. But is smplayer a front-end for mplayer? In which case I assume you will need a copy of mplayer on your system either repository or compiled.

    Regards,

    Andrew
    uhm, but there is 2x mplayer on my kubuntu

    one executeable is in /usr/local/bin/
    (MPlayer dev-SVN-r24680-4.1.2 (C) <- installed with the howto)

    the other is in /usr/bin/ (which is MPlayer 2:1.0~rc1-0ubuntu9.1 (C) <- this one is installed with apt-get)

    anyway, I think I just leave it like that, it works anyway.

  2. #42
    Join Date
    Dec 2006
    Beans
    7,314

    Re: [Howto] Successfully install the svn mplayer + gmplayer + all the codecs.

    Hi,

    Hmmm.... mplayer x 2:

    Quote Originally Posted by taisao View Post
    uhm, but there is 2x mplayer on my kubuntu one executeable is in /usr/local/bin/
    (MPlayer dev-SVN-r24680-4.1.2 (C) <- installed with the howto)
    the other is in /usr/bin/ (which is MPlayer 2:1.0~rc1-0ubuntu9.1 (C) <- this one is installed with apt-get) anyway, I think I just leave it like that, it works anyway.
    That's something you don't see every day Certainly this validates my caution in specifying --prefix=/usr/local (which is the default) in the guide that avoids one version overwriting the other.

    I guess this means that the repository version will uninstall with:

    Code:
    $ sudo apt-get remove mplayer
    while the svn version will uninstall with:

    Code:
    $ sudo make uninstall
    from the source directory.

    Andrew
    You think that's air you're breathing now?

  3. #43
    Join Date
    Sep 2005
    Location
    Christchurch, New Zealand
    Beans
    217
    Distro
    Kubuntu 9.04 Jaunty Jackalope

    Re: [Howto] Successfully install the svn mplayer + gmplayer + all the codecs.

    Hi there...

    I seem to have a problem when it comes to pasting that really HUGE list of files to get...

    I get the following:

    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    libartsc0 is already the newest version.
    libflac++6 is already the newest version.
    liblzo2-2 is already the newest version.
    libmpcdec3 is already the newest version.
    libungif4g is already the newest version.
    libxvmc1 is already the newest version.
    ttf-bitstream-vera is already the newest version.
    ttf-bitstream-vera set to manual installed.
    Some packages could not be installed. This may mean that you have requested an impossible situation or if you are using the unstable distribution that some required packages have not yet been created or been moved out of Incoming.
    The following information may help to resolve the situation:

    The following packages have unmet dependencies:
    libexpat1-dev: Depends: libexpat1 (= 1.95.8-4) but 1.95.8-4ubuntu1 is to be installed
    E: Broken packages
    simplicity@Kubuntu:~/source$

    I checked apept and it told me that libexpat1 1.95.8-4ubuntu1 is already installed, and when I tried to use adept to install the dev file it would not let me

    Please help

  4. #44
    Join Date
    Dec 2006
    Beans
    7,314

    Re: [Howto] Successfully install the svn mplayer + gmplayer + all the codecs.

    Hi,

    In fact it is a truly huge list of files:

    Quote Originally Posted by NZ-Wanderer View Post
    Hi there...
    I seem to have a problem when it comes to pasting that really HUGE list of files to get...
    I get the following:

    [...]
    Some packages could not be installed. This may mean that you have requested an impossible situation or if you are using the unstable distribution that some required packages have not yet been created or been moved out of Incoming.
    The following information may help to resolve the situation:

    The following packages have unmet dependencies:
    libexpat1-dev: Depends: libexpat1 (= 1.95.8-4) but 1.95.8-4ubuntu1 is to be installed
    E: Broken packages
    I checked apept and it told me that libexpat1 1.95.8-4ubuntu1 is already installed, and when I tried to use adept to install the dev file it would not let me
    Please help
    All is not lost As long as there is only a couple of dev files missing from this 50 megs collection I suspect that you will be ok to continue with the configure process. Have a look at the output of ./configure and it will tell you what is missing and what is included.

    The collection of libs and devs has been put together (by me!) to grab as much functionality as possible from mplayer, not all of it would be used by all users. For example did you see all the libungif material? This enables mplayer to output frames of a movie in gif format: multiple stills. So if you did not load all the libungif dev files you would not have access to this feature.

    See what I mean? The files are not all mandatory. My advice is to continue, check what configure says and you will probably be ok.

    Actually I just dug this out of the official docs. It illustrates perfectly the trial and error nature of compiling the program:

    STEP2: Configuring MPlayer
    ~~~~~~~~~~~~~~~~~~~~~~~~~~

    MPlayer can be adapted to all kinds of needs and hardware environments. Run

    ./configure

    to configure MPlayer with the default options. GUI support has to be enabled
    separately, run

    ./configure --enable-gui

    if you want to use the GUI.

    If something does not work as expected, try

    ./configure --help

    to see the available options and select what you need.

    The configure script prints a summary of enabled and disabled options. If you
    have something installed that configure fails to detect, check the file
    configure.log for errors and reasons for the failure. Repeat this step until
    you are satisfied with the enabled feature set.
    The rest of this doc can be read at: http://www.mplayerhq.hu/DOCS/README


    Andrew
    Last edited by andrew.46; October 2nd, 2007 at 12:19 PM.
    You think that's air you're breathing now?

  5. #45
    Join Date
    Jan 2007
    Beans
    14

    Re: [Howto] Successfully install the svn mplayer + gmplayer + all the codecs.

    The guide worked perfect for me. It has played every file I have thrown at flawlessly. Note that since I am using the 64-bit version of Ubuntu, I needed to:
    Code:
    $ wget http://www.mplayerhq.hu/MPlayer/releases/codecs/essential-amd64-20061203.tar.bz2
    Instead of:
    Code:
    $ wget http://www.mplayerhq.hu/MPlayer/releases/codecs/all-20061022.tar.bz2
    I do have one question though. How can I get mplayer to play embedded video in Firefox? When I try to install the plugin through apt, it wants to install mplayer from the repos as well. I am afraid it will replace the shiny new version that I just built.

  6. #46
    Join Date
    Dec 2006
    Beans
    7,314

    Re: [Howto] Successfully install the svn mplayer + gmplayer + all the codecs.

    Hi,

    You echo my own question:

    Quote Originally Posted by jmrichky View Post
    I do have one question though. How can I get mplayer to play embedded video in Firefox? When I try to install the plugin through apt, it wants to install mplayer from the repos as well. I am afraid it will replace the shiny new version that I just built.
    I am a little puzzled with this one too and have been racking my brains for a solution. Any ideas anybody else?

    Good to hear it all worked well for you though. I had no idea that there were different codecs for 64bit: you live and learn

    Andrew
    You think that's air you're breathing now?

  7. #47
    Join Date
    Aug 2006
    Beans
    382
    Distro
    Ubuntu 7.04 Feisty Fawn

    Re: [Howto] Successfully install the svn mplayer + gmplayer + all the codecs.

    Quote Originally Posted by jmrichky View Post
    I do have one question though. How can I get mplayer to play embedded video in Firefox? When I try to install the plugin through apt, it wants to install mplayer from the repos as well. I am afraid it will replace the shiny new version that I just built.
    You can also build mplayerplug-in as well.
    The latest version 3.4.5 works well for me.

    I'm going to assume you have already successfully built mplayer.
    First, we need to grab the source.
    Code:
    wget http://internap.dl.sourceforge.net/sourceforge/mplayerplug-in/mplayerplug-in-3.45.tar.gz
    tar -xzvf mplayerplug-in-3.45.tar.gz
    cd mplayerplug-in
    Also, we need the firefox development files
    Code:
    sudo apt-get install firefox-dev libnss-dev libnspr-dev
    Now, we can build the plugin.
    Code:
    ./configure
    make
    make install
    make install will install the plugin to your firefox profile directory, usually ~/.mozilla/plugins. If you wish to make them globally available, use sudo make install instead.

  8. #48
    Join Date
    Dec 2006
    Beans
    7,314

    Re: [Howto] Successfully install the svn mplayer + gmplayer + all the codecs.

    Hi,

    I tried that several times before:

    Quote Originally Posted by shirilover View Post
    You can also build mplayerplug-in as well.
    The latest version 3.4.5 works well for me.
    and for the life of me I could never compile it For Gutsy:
    Code:
    sudo apt-get install firefox-dev libnss3-dev libnspr4-dev
    Wish I could get it going!!

    Andrew
    You think that's air you're breathing now?

  9. #49
    Join Date
    Jan 2007
    Beans
    14

    Re: [Howto] Successfully install the svn mplayer + gmplayer + all the codecs.

    I just figured out to get the embedded video in firefox with t he mplayer built from your guide. First you must go to the mplayer source directory and "sudo make uninstall" then (in the same directory) "sudo checkinstall" and finally "sudo apt-get mozilla-mplayer". Hope this helps.

  10. #50
    Join Date
    Oct 2007
    Beans
    10

    Re: [Howto] Successfully install the svn mplayer + gmplayer + all the codecs.

    I did what your guide said and still have no gui. ubuntu says:
    MPlayer 1.0rc1-4.1.2 (C) 2000-2006 MPlayer Team
    CPU: AMD Athlon(tm) (Family: 6, Model: 8, Stepping: 1)
    CPUflags: MMX: 1 MMX2: 1 3DNow: 1 3DNow2: 1 SSE: 1 SSE2: 0
    Compiled for x86 CPU with extensions: MMX MMX2 3DNow 3DNowEx SSE
    Usage: mplayer [options] [url|path/]filename

    Basic options: (complete list in the man page)
    and then the options... No gui errors for me :/ And since there still was na mozilla plugin I did what jmrichy said and command 'checkinstall' is not found and 'apt-get mozilla-mplayer' is inapropriate somehow. The funny thing is that synaptic finds no installed mplayer packages at all. Is it normal?
    Last edited by owcarnia; October 4th, 2007 at 07:58 PM.

Page 5 of 48 FirstFirst ... 3456715 ... LastLast

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •